classification
Title: test_smtplib is flaky
Type: behavior Stage:
Components: Tests Versions: Python 3.5, Python 3.4
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, benjamin.peterson, giampaolo.rodola, matejcik, pitrou, r.david.murray
Priority: normal Keywords: buildbot

Created on 2008-08-20 15:09 by benjamin.peterson, last changed 2014-06-27 18:55 by BreamoreBoy.

Messages (7)
msg71549 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-08-20 15:09
This is from the sparc Unbuntu 3.0 bot. I'm having trouble reproducing
it, though.

test test_smtplib produced unexpected output:
**********************************************************************
*** line 2 of actual output doesn't appear in expected output after line 1:
+ error: uncaptured python exception, closing channel
<test.test_smtplib.SimSMTPChannel 127.0.0.1:38832 at 0x268d0a8> (<class
'socket.error'>:[Errno 9] Bad file descriptor
[/home/pybot/buildarea/3.0.klose-ubuntu-sparc/build/Lib/asyncore.py|readwrite|100]
[/home/pybot/buildarea/3.0.klose-ubuntu-sparc/build/Lib/asyncore.py|handle_write_event|426])
**********************************************************************
msg71641 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-08-21 13:40
The failure happens even when test_smtplib runs before both
test_asyncore and test_asynchat (*). So the latter can't be the culprit.


(*)
http://www.python.org/dev/buildbot/3.0.stable/sparc%20Debian%203.0/builds/419/step-test/0
msg104903 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2010-05-03 23:03
Adding this:

    def handle_error(self):
        raise

...to SimSMTPChannel class would help to provide a clearer error message to understand where exactly EBADF comes from, altough I think this was an old asyncore bug which have already been fixed.
Is this still reproducible on Python 3.2?
msg104910 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2010-05-04 02:39
If it would provide clearer error message in cases of failure, it sounds like a reasonable thing to add whether or not the failure in this issue is still happening.
msg105163 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2010-05-06 20:22
Done in r80882 for ftplib and smtplib modules.
msg120839 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2010-11-09 03:13
Looking back over the logs (via bbreport) I don't see any failures of test_smtplib that match the report in this issue.  There were three in the last while, two of which look like network issues on the same machine (and thus probably not a test problem per se) and one of which (solaris) had multiple errors but succeeded when rerun immediately.  

While there maybe a remaining flakiness issue with test_smtplib, it doesn't seem to be the error described here, and I don't think it rates critical.
msg221708 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-06-27 18:55
Can this be closed as "out of date"?
History
Date User Action Args
2014-06-27 18:55:10BreamoreBoysetnosy: + BreamoreBoy

messages: + msg221708
versions: + Python 3.4, Python 3.5, - Python 3.2
2010-11-09 03:13:30r.david.murraysetpriority: critical -> normal
messages: + msg120839

keywords: + buildbot
resolution: fixed ->
stage: resolved ->
2010-07-13 14:37:55BreamoreBoysettype: behavior
resolution: fixed
stage: resolved
2010-05-06 20:22:49giampaolo.rodolasetmessages: + msg105163
2010-05-04 02:39:13r.david.murraysetnosy: + r.david.murray
messages: + msg104910
2010-05-03 23:03:43giampaolo.rodolasetmessages: + msg104903
2010-04-28 02:29:55terry.reedysetversions: + Python 3.2, - Python 3.0
2008-10-20 15:13:31matejciksetnosy: + matejcik
2008-10-01 11:22:15giampaolo.rodolasetnosy: + giampaolo.rodola
2008-08-21 13:40:46pitrousetnosy: + pitrou
messages: + msg71641
title: test_asyncore is not cleanup after its self? -> test_smtplib is flaky
2008-08-20 15:09:28benjamin.petersoncreate